const fs = require('fs');
const settings = require('../../../../config/settings');
class CacheManager {
  constructor() {
    // await this.buildCacheMap();
    this.buildCacheMap();
  }
  buildCacheMap() {
    const self = this;
    self.doc = {};
    const cachePath = `${settings.basepath}/app/base/db/cache/`;
    const files = fs.readdirSync(cachePath);
    if (files) {
      files.forEach((r) => {
        const ClassObj = require(`${cachePath}/${r}`);
        self[ClassObj.name] = new ClassObj();
        const refTmp = self[ClassObj.name];
        if (refTmp.prefix) {
          self.doc[refTmp.prefix] = refTmp.desc;
        } else {
          console.log(`请在${ClassObj.name}缓存中定义prefix`);
        }
      });
    }
  }
}
module.exports = CacheManager;
